apiVersion: apps/v1
kind: Deployment
metadata:
  name: hello-app-dp
  namespace: default
spec:
  replicas: 2
  selector:
    matchLabels:
      app: hello-app
      release: canary
  template:
    metadata:
      name: hello-app-pod
      labels:
        app: hello-app
        release: canary
    spec:
      containers:
      - name: hello-app-1
        image: gcriogooglesamples/hello-app:2.0
        ports:
        - name: http
          containerPort: 8080
      tolerations:
      - key: "node-type"
        operator: "Equal"  # Exists and Equal
        value: "uat"
        effect: "NoSchedule"
        # effect: "" # tolerate all taints
        # tolerationSeconds: 3600  # only work NoExecute
